> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appcharge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Bundle

> Deletes a bundle.

<RequestExample>
  ```bash Delete Bundle theme={"system"}
  curl -X DELETE \
    'https://api.appcharge.com/v2/offer/bundle-offer-1' \
    -H 'Content-Type: application/json' \
    -H 'x-publisher-token: <x-publisher-token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Delete Bundle theme={"system"}
  {
    "publisherId": "35nb7861ec9924a6b69a0fe59",
    "offerId": "226cff96123a8717",
    "publisherOfferId": "bundle-offer-1",
    "name": "My Bundle",
    "displayName": "My Bundle",
    "description": "This is my bundle description.",
    "type": "Bundle",
    "active": true,
    "segments": [
      "New User"
    ],
    "publisherTabId": "tab-1",
    "offerUi": {
      "offerUiId": "27e7fb3663e1bfbbf340ffff",
      "active": true,
      "offerUiType": "Bundle",
      "name": "BundOff273",
      "description": "description",
      "backgroundImage": "https://media.appcharge.com/media/65cb7182__4dc30c81-e4aa-40e8-9033-84cb05721bd0",
      "borderColor": {
        "colorOne": "#ffffff",
        "colorTwo": "",
        "direction": ""
      },
      "borderWidth": 2,
      "externalId": "BundOff273"
    },
    "productsSequence": [
      {
        "index": 1,
        "products": [
          {
            "product": {
              "publisherProductId": "123",
              "name": "Coins",
              "textFontColorHex": "#FFFFFF",
              "type": "Quantity",
              "prefix": "",
              "suffix": "",
              "priority": "Sub",
              "images": [
                {
                  "type": "product",
                  "url": "https://media.appcharge.com/media/45cb7861ec8924a6b69a0f59/download.jpeg"
                },
                {
                  "type": "productPrefix",
                  "url": ""
                }
              ],
              "createdAt": "2024-02-14T10:08:17.061Z",
              "updatedAt": "2024-09-27T13:41:55.775Z",
              "displayName": "coins",
              "productId": "65cc91114cf653a9cc2dce2c"
            },
            "publisherProductId": "123",
            "quantity": 500,
            "priority": "Main"
          }
        ],
        "priceInUsdCents": 980,
        "progressBarPoints": [
          {
            "barId": "69525aae0cbfad2a5507cd54",
            "points": 10
          }
        ],
        "badges": [],
        "id": "68b4092c7a895e559a3ac8d9"
      }
    ],
    "badges": [
      {
        "publisherBadgeId": "22ac77ff889b"
      }
    ],
    "productSale": {
      "type": "percentage",
      "sale": 100
    },
    "priceDiscount": {
      "type": "percentage",
      "discount": 20
    },
    "createdAt": "2025-04-06T10:00:44.528Z",
    "updatedAt": "2025-04-06T10:00:44.528Z"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi-bundle.json DELETE /v2/offer/{publisherOfferId}
openapi: 3.0.1
info:
  title: Bundle Offer API
  description: API for managing Bundle Offers.
  version: '1.0'
servers:
  - url: https://api.appcharge.com
security: []
paths:
  /v2/offer/{publisherOfferId}:
    delete:
      tags:
        - Bundles
      summary: Delete Bundle
      description: Deletes a bundle.
      operationId: deleteBundle
      parameters:
        - name: publisherOfferId
          description: >-
            The offer ID provided by the publisher. This is the offer's
            **External ID** value in the Publisher Dashboard.
          required: true
          in: path
          schema:
            type: string
            example: bundle-offer-1
        - name: x-publisher-token
          required: true
          in: header
          description: The publisher token
          schema:
            type: string
      responses:
        '200':
          description: Deleted offer.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BundleDtoResponse'
        '401':
          description: Not Authorized
components:
  schemas:
    BundleDtoResponse:
      type: object
      properties:
        publisherId:
          type: string
          description: Publisher ID.
        offerId:
          type: string
          description: The unique identifier of the bundle.
        publisherOfferId:
          type: string
          description: >-
            The bundle offer ID provided by the publisher. This is the offer's
            **External ID** value in the Publisher Dashboard.
        name:
          type: string
          description: The name of the bundle.
        displayName:
          type: string
          description: The display name of the bundle.
        description:
          type: string
          description: The description of the offer (conditionally returned).
        type:
          type: string
          description: The type of offer.
        active:
          type: boolean
          description: Whether the bundle is active.
        segments:
          type: array
          description: >-
            List of player segments that this bundle applies to (e.g.,
            ["NewUser", "BigSpender"]).
          items:
            type: string
        publisherTabId:
          type: string
          description: Tab ID in the web store.
        offerUi:
          type: object
          description: >-
            Details on the bundle design, as configured in the Publisher
            Dashboard.
          properties:
            offerUiId:
              type: string
              description: >-
                The ID of the bundle design, as displayed in the Publisher
                Dashboard.
            externalId:
              type: string
              description: >-
                The SKU of the bundle design, as defined in the Publisher
                Dashboard.
            active:
              type: boolean
              description: Whether the bundle design is active.
            offerUiType:
              type: string
              description: The type of offer design. In this case, ‘bundle’.
            name:
              type: string
              description: >-
                The name of the bundle design, as defined in the Publisher
                Dashboard.
            description:
              type: string
              description: >-
                The description of the bundle design, as defined in the
                Publisher Dashboard.
            backgroundImage:
              type: string
              description: >-
                The background image of the bundle design, as defined in the
                Publisher Dashboard.
            specialOffer:
              type: object
              description: Details on the bundle template and design.
              properties:
                templateType:
                  type: string
                  description: The template type, as configured in the Publisher Dashboard.
                title:
                  type: string
                  description: >-
                    The title of the bundle, as configured in the Publisher
                    Dashboard.
                fontSize:
                  type: number
                  description: >-
                    The font size of the bundle title, as configured in the
                    Publisher Dashboard.
                fontWeight:
                  type: string
                  description: >-
                    The font weight of the bundle title, as configured in the
                    Publisher Dashboard.
                fontColor:
                  type: object
                  description: >-
                    Details on the font color of the bundle title as configured
                    in the Publisher Dashboard. If the font color is set to
                    linear, both 'colorOne' and 'colorTwo' will be returned.
                    'colorThree' may also be returned, if configured.
                  properties:
                    colorOne:
                      type: string
                      description: The font color of the bundle title.
                    colorTwo:
                      type: string
                      description: >-
                        The second font color of the bundle title. Relevant only
                        if the font color is set to linear.
                    colorThree:
                      type: string
                      description: >-
                        The third font color of the bundle title. Relevant only
                        if the font color is set to linear.
                backgroundColor:
                  type: object
                  description: >-
                    Details on the background color of the bundle title as
                    configured in the Publisher Dashboard. If the background
                    color is set to linear, the direction will be returned along
                    with ‘colorOne’ and ‘colorTwo’.
                  properties:
                    colorOne:
                      type: string
                      description: The background color of the bundle title.
                    colorTwo:
                      type: string
                      description: >-
                        The second background color of the bundle title.
                        Relevant only if the background color is set to linear.
                    direction:
                      type: string
                      description: >-
                        The direction of the linear gradient. Relevant only if
                        the background color is set to linear.
        productsSequence:
          type: array
          description: A sequence of products in the bundle.
          items:
            type: object
            properties:
              index:
                type: integer
                description: The order of the product in the bundle.
              products:
                type: array
                description: List of products in the bundle.
                items:
                  type: object
                  properties:
                    publisherProductId:
                      type: string
                      description: The unique ID of the product.
                    quantity:
                      type: integer
                      description: The quantity of the product in the bundle.
                    priority:
                      type: string
                      description: >-
                        Specifies the display priority of a product within the
                        bundle. Either `Main` or `Sub`.
              priceInUsdCents:
                type: integer
                description: >-
                  The price of the product in cents.  The value must be either 0
                  (free), or by minimum 80 cents.
              progressBarPoints:
                type: array
                description: >-
                  List of Progress Bar offers to which this offer contributes
                  points.
                items:
                  type: object
                  properties:
                    publisherBarId:
                      type: string
                      description: >-
                        The Progress Bar offer ID provided by the publisher.
                        This is the Progress Bar offer's **External ID** value
                        in the Publisher Dashboard.
                    points:
                      type: number
                      description: >-
                        The number of points this offer contributes to the
                        specified Progress Bar. This value is displayed in the
                        Points Ribbon shown on contributing offers.
        badges:
          type: array
          description: List of badges associated with the bundle
          items:
            type: object
            properties:
              publisherBadgeId:
                type: string
                description: The ID as configured in the dashboard.
        productSale:
          type: object
          description: >-
            Sale details for products in the bundle. The sale will only be
            applied on the first product.
          properties:
            sale:
              type: integer
              description: The sale percentage applied to the product quanitity.
            type:
              type: string
              description: The type of sale.
        priceDiscount:
          type: object
          description: Discount applied to the special offer price.
          properties:
            discount:
              type: integer
              description: The discount percentage applied.
            type:
              type: string
              description: The type of discount applied.
        createdAt:
          type: string
          description: Date the bundle was created.
          format: date-time
        updatedAt:
          type: string
          description: Date the bundle was updated.
          format: date-time

````